<?php 

class Metode extends CI_Controller{

	function __construct(){
		parent::__construct();
	 	$this->load->model('m_kontak');/* sesuaikan dengan nama file pada model */
		$this->load->model('m_login'); 
		$this->load->model('m_admin'); 
		$this->load->model('m_kantor');
		$this->load->model('m_metode'); 
		$this->load->library('session');
		$this->load->library('upload');
		 
		$this->load->helper(array('form', 'url','tanggal'));
		if($this->session->userdata('status') != "loginbro"  and empty($this->session->userdata('email')) ){
			$this->session->set_flashdata('msg','<div class="alert alert-danger alert-dismissible">
						<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
						<strong> Admin Bukan Admin </strong>Ulangi Kembali
						</div> ');

			redirect(base_url("")); 
			
		}
	 
	 
	}

	 
	function index(){		
		$data['title1'] = 'Data Katagori Metode Bayar'; 	
		$data['title2'] = 'Ubah Data'; 	
		$data['title3'] = 'Tambah Data';
		$data['title4'] = 'Metode Bayar';
		$data['kontak'] = $this->m_kontak->kontak();
		$data['kantor'] = $this->m_kantor->kantor();
		$data['admin'] = $this->m_admin->data_admin(); 
		$data['admin_login'] = $this->m_admin->data_admin_login();  
		$data['metode'] = $this->m_metode->metode(); 
		 
	
		$this->load->view('master/header',$data); 
		$this->load->view('master/metode/v_metode');
		$this->load->view('master/footer',$data); 
	}
	 
	public function code_hapus(){
		$id = $this->input->post('id');  
		 
	    $this->db->delete('tb_metode', array('id_metode' => $id)); 
	  	$this->session->set_flashdata('msg','success-hapus');
	    redirect('metode');
		
	}
	 
	public function code_tambah()
	{	 
		$data=array(
			'id_metode'=>  null,
			'nama_metode'=> $this->input->post('nama_metode'),
			 
		);

		$this->db->insert('tb_metode',$data);
		$this->session->set_flashdata('msg','success');
		redirect('metode');


 
        
        
    }  
     
	public function code_ubah() {
      
        
    	$data=array(
    	 
    		'nama_metode'=> $this->input->post('nama_metode'),
			 


    	);

    	$this->db->where('id_metode',$this->input->post('id'));
        $this->db->update('tb_metode',$data);
        $this->session->set_flashdata('msg','success-edit');
    	redirect('metode');
	 
	} 
	 
}